SOEKRIS(4)

NAME
soekrisgpio - Soekris net6501 GPIO and LEDs

SYNOPSIS
soekrisgpio0 at isa? port 0x680
gpio* at soekrisgpio?

DESCRIPTION
The soekrisgpio driver provides support for the GPIO and LEDs as implemented by the Xilinx Spartan FGPA integrated into the Soekris net6501 programmed with the default bitstream found in the BIOS.

Two standard gpio(4) interfaces are provided, one for the 16 real pins which can be configured as either inputs or outputs and another with 2 output-only pins that map to the error and ready LEDs respectively. Both may be used with gpioctl(8).

SEE ALSO
gpio(4), intro(4), isa(4), gpioctl(8)

HISTORY
The soekrisgpio driver first appeared in NetBSD 7.0.

AUTHORS
The soekrisgpio driver was written by Matt Dainty <matt@...> and imported from a patch for OpenBSD to NetBSD by Frank Kardel <kardel@NetBSD.org>.

BUGS
If the Xilinx FPGA is programmed with a different bitstream, the driver will likely not function.